# Flashlight set state

An action block that turns the camera flash LED light on or off.

The fiber will proceed immediately without pause.

The flashlight is automatically turned off when the fiber stops.

Caution! The flash LED light may become hot and get damaged if left on for too long.

## Input arguments

- Flashlight — whether to turn the flashlight on or off.
- Camera — flashlight on which camera to use, only when turning on, default is likely the back-facing camera.
- Strength — desired brightness level in percent, ignored when turning off, default is the default for camera. (Android 13+)